Subject: Re: bug#76417: [PATCH] Add tramp-cleanup-bufferless-connections

From: Ship Mints <[email-masked]>
Date: Fri, 21 Feb 2025 09:37:27 -0500

Hi, Michael, take a look at this version of the patch. -Stephane

On Fri, Feb 21, 2025 at 8:24 AM Michael Albinus <[email-masked]>
wrote:

> Ship Mints <[email-masked]> writes:
>
> Hi,
>
> > I spent some more time on this and I think there's an "impedance
> > mismatch" between cleanup-some-buffers and cleaning up unused
> > connections.  I'm finding it cumbersome to mix the two as I have to
> > move back and forth between "buffer space" and "connection space" to
> > achieve connection cleanup.  My original patch seems like the cleanest
> > approach, and can be made shorter with a few tramp utility function
> > changes.  Would you like to see a patch based on those?
>
> Well, likely it will be a ship-only command in Tramp. But so what, show
> it. If time permits (I hope so!), I'll play with your patch and see,
> whether I could improve it in order to approach my target, use of
> tramp-cleanup-some-buffers.
>
> If I fail, I will install your patch.
>
> Best regards, Michael.
>